SYD-UTS(1)

NAME

syd-uts - Print name and information about the current kernel in JSON format

SYNOPSIS

syd-uts [-hdmnrsv]

DESCRIPTION

syd-uts utility prints name and information about the current kernel. The information is printed in line-oriented JSON format and may be further mangled with tools such as jq(1). Source of information is the uname(2) system call. The options -d, -m, -n, -r, -s, and -v may be used to print individual items of the utsname structure verbatim. If many options are given at a time the items are printed as a dot-separated list on a single line.

OPTIONS

-h | Display help.
-s | Print name of the operating system implementation.
-n | Print network name of this machine.
-r | Print release level of the operating system.
-v | Print version level of the operating system.
-m | Print machine hardware platform.
-d | Print NIS or YP domain name of this machine.

SEE ALSO

syd(1), syd(2), syd(5), uname(2), jq(1)

•   syd homepage: https://sydbox.exherbo.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.